TTYSLOT(3)

NAME
ttyslot, fttyslot - utmp slot number

SYNOPSIS
#define _MINIX_SOURCE 1
#include <unistd.h>
int ttyslot(void)
int fttyslot(int fd)

DESCRIPTION
Ttyslot() returns the index of the login terminal in the utmp file. It tries fttyslot() on file descriptors 0, 1, and 2 to find the index.

Fttyslot() returns the utmp index of the terminal associated with file descriptor fd. First it tries to map fd to a terminal name with ttyname(3), then it searches the ttytab(5) database with the getttyent(3) function for this terminal. This means that the utmp slot number is the same as the ttytab entry number counting from 1. The value 0 is returned if no slot number can be found for a file descriptor.

SEE ALSO
ttyname(3), getttyent(3), utmp(5), ttytab(5), init(8).

NOTES
Since 0 is used as an error return this means that the first entry in the utmp file is not used.

Ttyslot() is often found in a UNIX implementation, fttyslot() is MINIX 3 specific.

AUTHOR
Kees J. Bot (kjb@cs.vu.nl)